
QGIS Application - Bug report #7993

Fields are listed twice in labelling data defined menu

2013-06-03 03:35 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16844

Description

I'm currently seeing all fields listed twice under the new data defined labelling buttons, in the "attribute field" submenu. Seems to be

duplicated regardless of the file format - I see this with PostGIS tables and shapefiles.

I've attached a screenshot to demonstrate.

Associated revisions

Revision 0192e37f - 2013-06-04 12:54 AM - Larry Shaffer

Fix #7993, fields are listed twice in labeling data defined menu

History

#1 - 2013-06-03 03:55 PM - Larry Shaffer

- Status changed from Open to Closed

Fixed in changeset commit:"0192e37fe3e861d5f408071dfff224bc339d845a".

#2 - 2013-06-03 07:27 PM - Nyall Dawson

- Status changed from Closed to Reopened

Larry - I'm still seeing this behaviour on current master.

#3 - 2013-06-04 02:50 AM - Nyall Dawson

To narrow this down -- I'm only seeing this in the label settings pane which is part of the layer properties dialog. If I open the label settings directly via the

toolbar then the fields are only listed once.

#4 - 2013-06-04 03:03 PM - Larry Shaffer

Hi Nyall,

Thanks for the update. I did only test it in the standalone labeling dialog, so did not see the issue was not fixed.
The commit commit:a29f2ba should do it. Please test.

I've cleaned up the code and made sure multiple calls to init() were clearing the field list first (they weren't before).

#5 - 2013-06-04 03:50 PM - Nyall Dawson

- Status changed from Reopened to Closed

Looks good - thanks Larry!
